import request from '@/utils/request'

// 查询客户详情列表
export function listCorps(query) {
  return request({
    url: '/basicdata/customerDetails/corps/list',
    method: 'get',
    params: query
  })
}

// 查询客户详情详细
export function getCorps(fId) {
  return request({
    url: '/basicdata/customerDetails/corps/' + fId,
    method: 'get'
  })
}

// 新增客户详情
export function addCorps(data) {
  return request({
    url: '/basicdata/customerDetails/corps',
    method: 'post',
    data: data
  })
}

// 修改客户详情
export function updateCorps(data) {
  return request({
    url: '/basicdata/customerDetails/corps',
    method: 'put',
    data: data
  })
}

// 删除客户详情
export function delCorps(fId) {
  return request({
    url: '/basicdata/customerDetails/corps/' + fId,
    method: 'delete'
  })
}

// 导出客户详情
export function exportCorps(query) {
  return request({
    url: '/basicdata/customerDetails/corps/export',
    method: 'get',
    params: query
  })
}
